<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--D: para que el ui:include NO deben haber definidos en la página nada con ui: (define, composition) -->
<h:form xmlns="http://www.w3.org/1999/xhtml" id="formBloqueoPersona"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:panel rendered="#{consultaBloqueoPersona.existeBloqueoPersona}" header="Bloqueo actual">
        <fieldset>
            <h:panelGrid columns="3" width="100%">
                <h:panelGroup>
                    <h:outputLabel value="Número predial: " for="numPredialId" styleClass="outputLabelStyle"/>
                    <h:outputText id="numPredialId" value="#{consultaBloqueoPersona.predioForPersonaBloqueo.formatedNumeroPredial}" styleClass="outputTextStyle" />
                </h:panelGroup>

                <h:panelGroup>
                    <h:outputLabel value="Consecutivo catastral: " for="consecutivoCatastralId" styleClass="outputLabelStyle"/>
                    <h:outputText id="consecutivoCatastralId" value="#{consultaBloqueoPersona.predioForPersonaBloqueo.consecutivoCatastral}"
                                  styleClass="outputTextStyle"/>
                </h:panelGroup>

                <h:panelGroup>
                    <h:outputLabel value="NIP: " for="nipId" styleClass="outputLabelStyle"/>
                    <h:outputText id="nipId" value="#{consultaBloqueoPersona.predioForPersonaBloqueo.nip}" styleClass="outputTextStyle" />
                </h:panelGroup>
            </h:panelGrid>
        </fieldset>

        <p:dataTable value="#{consultaBloqueoPersona.personaBloqueo}" var="personaBloqueo">
            <p:column>
                <f:facet name="header">
                    <h:outputLabel value="Tipo de identificación" />
                </f:facet>
                <h:outputText value="#{personaBloqueo.persona.tipoIdentificacion}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputLabel value="Número de identificación" />
                </f:facet>
                <h:outputText value="#{personaBloqueo.persona.numeroIdentificacion}"/>
                <h:outputText value="#{personaBloqueo.persona.digitoVerificacion}" rendered="#{personaBloqueo.persona.digitoVerificacion} != null"/>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputLabel value="Nombre o Razón social" />
                </f:facet>
                <h:outputText value="#{personaBloqueo.persona.nombre}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputLabel value="Fecha inicial" />
                </f:facet>
                <h:outputText value="#{personaBloqueo.fechaInicio}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <h:outputLabel value="Fecha final" />
                </f:facet>
                <h:outputText value="#{personaBloqueo.fechaTermina}" />
            </p:column>
        </p:dataTable>

        <h:panelGrid columns="3" width="100%">
            <h:panelGroup>
                <h:outputLabel value="Motivo marcación " for="motivoBloqueoId" styleClass="outputLabelStyle"/>
                <h:outputLabel value="" />
                <h:outputText id="motivoBloqueoId" value="#{consultaBloqueoPersona.personaBloqueo.motivo}" styleClass="outputTextStyle"  />
            </h:panelGroup>

            <h:panelGroup>
                <h:outputLabel value="" />
                <h:outputLabel value="" />
                <p:commandLink value="Ver documento soporte" styleClass="commandLinkStyle" />
            </h:panelGroup>
        </h:panelGrid>

    </p:panel>

    <p:panel rendered="#{!consultaBloqueoPersona.existeBloqueoPersona}">
        <h:outputText value="No existe marcaciones para esta persona"/>
    </p:panel>
</h:form>

